import React from 'react';
import ReactDOM from 'react-dom';
import { arc } from 'd3';
import { BackgroundCircle } from './BackgroundCircle'
import { Eyes } from './Eyes'

const width = 960;
const height = 500;

const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 20;

const eyeRadius = 40;
const eyeOffsetX = 80;
const eyeOffsetY = 100;
const mouthWidth = 30;
const mouthRadius = 140;

const App = () => (
  <svg width={width} height={height}>
    <g transform={`translate(${centerX},${centerY})`}>
      <BackgroundCircle radius={centerY - strokeWidth / 2} strokeWidth={strokeWidth}/>      
      <Eyes
        eyeOffsetX={eyeOffsetX}
        eyeOffsetY={eyeOffsetY}
        eyeRadius={eyeRadius}
      />
      <mouth
        mouthWidth={mouthWidth}
        mouthRadius={mouthRadius}
      />
    </g>
  </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);